Public Member Functions | Public Attributes | List of all members
FreeHandParserInternal::Font Struct Reference

structure of FreeHandParserInternal used to stored a font More...

## Public Member Functions
| Font ()
| constructor More...

## Public Attributes
MWAWFont | m_font
| the font More...
int | m_nameId
| the font name id More...
int | m_colorId
| the font color id More...

## Detailed Description

structure of FreeHandParserInternal used to stored a font

## Constructor & Destructor Documentation

## ◆ Font()

FreeHandParserInternal::Font::Font | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_colorId

int FreeHandParserInternal::Font::m_colorId

the font color id

Referenced by FreeHandParser::readTextboxV1(), and FreeHandParser::readTextboxV2().

## ◆ m_font

MWAWFont FreeHandParserInternal::Font::m_font

the font

Referenced by FreeHandParser::readTextboxV1(), and FreeHandParser::readTextboxV2().

## ◆ m_nameId

int FreeHandParserInternal::Font::m_nameId

the font name id

Referenced by FreeHandParser::readTextboxV1(), and FreeHandParser::readTextboxV2().

The documentation for this struct was generated from the following file:

- FreeHandParser.cxx